html {
    scroll-behavior: smooth;
}

body {

    font-size: 18px;
    font-family: 'roboto', sans-serif;

}

.wrap {
    width: 90%;
    margin: 0 auto;
}

/* NAVIGATION */

.navigation {
    position: fixed;
    width: 100vw;
    height: 50px;
    background-color: #4E4E4E;
    font-size: 18px;
    color: white;
    z-index: 1;
}

.navigation-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;

}


.name-company {
    text-decoration: none;
    color: white;
    cursor: pointer;
}

.menu {
    display: none;
}

/* MENU HAMBURGER */

/* .menu {
    position: absolute;
    top: 50px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    height: 100px;
    background-color: #4E4E4E;
    display: none;
}

.navigation div ul a {
    display: block;
    width: 100vw;
    margin-top: 10px;
    border-bottom: 1px solid rgb(88, 88, 88);
    text-align: center;
    text-decoration: none;
    color: white;
}

label {
    cursor: pointer;
}

#toggle {
    display: none;

}

#toggle:checked+.menu {
    display: block;
} */







/* HAMBURGER */





/* SECTION LANDING_PAGE */

.main {
    height: 100vh;
    background: url("https://picsum.photos/1920/1080");
    background-position: center;
    background-size: cover;
}

.main-shadow {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .3);
}


.main-wrap {
    display: flex;
    align-items: center;
    height: 100%;

}

.main-text {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 75%;
    height: 60%;
    font-size: 20px;
    color: white;
}

.main-text h1 {
    font-size: 36px;
    line-height: 110%;
    font-weight: bold;
}


.main-text h2 {
    font-weight: bold;
}

.link {
    width: 140px;
}

button {
    width: 100%;
    height: 40px;
    font-size: 18px;
    color: white;
    border: 3px solid white;
    background: transparent;
    transition: 1s;
    cursor: pointer;
}

.fa-arrow-up {
    position: fixed;
    z-index: 1;
    bottom: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    font-size: 40px;
    text-align: center;
    line-height: 50px;
    color: black;
    border: 2px solid black;
    border-radius: 50%;
    opacity: .3;
}


/* SECTION ABOUT */

.about {
    padding: 70px 0 70px 0;
    background-color: #f1f1f1;
}

.about .wrap h2 {
    margin: 0 0 70px 0;
    font-weight: bold;
    font-size: 36px;
}

.about-wrap {
    display: flex;
    flex-direction: column;
}

.person {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 70px;
}

.person:last-of-type {
    margin-bottom: 0;
}

.face {
    flex-shrink: 0;
    width: 200px;
    height: 200px;
    margin-bottom: 20px;
    background: url("https://picsum.photos/500");
    background-position: center;
    background-size: cover;
    border-radius: 50%;
}

.person-text h3 {
    margin-bottom: 20px;
    font-weight: bold;
    font-size: 18px;
    text-align: center;
}

.person-text p {
    text-align: justify;
}


/* SECTION GALLERY */

.gallery {
    padding: 70px 0;
    background-color: #405D78;
}

.gallery-box h2 {
    margin-bottom: 70px;
    font-weight: bold;
    font-size: 26px;
    color: white;
}

.boxes {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: auto;
    grid-column-gap: 15px;
    grid-row-gap: 15px;
    width: 100%;
    margin: 0 auto;
}

.grid-container {
    justify-content: center;
}

.boxes>div:after {
    content: "";
    display: block;
    padding-bottom: 100%;
    background: #F1F1F1;
}

.boxes>div {
    position: relative;
}

.boxes .content {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}



.circle {
    position: absolute;
    top: 0;
    left: 0;
    transform: translate(-50%, -50%);
    width: 22px;
    height: 22px;
    border-radius: 50%;
    background-color: #E07A64;
}

/* FOOTER */

.social-media {
    height: 140px;
    color: white;
    background-color: #4E4E4E;
}

.social-media-flex {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    text-align: center;
}

.social-media p {
    margin-top: 20px;
    font-weight: bold;
}

.icons {
    margin-top: 10px;
    font-size: 31px;
}

i {
    margin-left: 10px;
    color: white;
    cursor: pointer;
}


/* MEDIA QUERIES */


@media screen and (min-width: 410px) {

    .main-text {
        width: 75%;
        height: 40%;
    }

}


@media screen and (min-width:760px) {

    .main-text {
        width: 75%;
        height: 30%;
    }

    .fa-arrow-up {
        bottom: 75px;
        right: 30px;
    }


    .person {
        flex-direction: row;
    }

    .person:nth-of-type(odd) .face {
        margin-right: 40px;
    }


    .person:nth-of-type(even) h3 {
        text-align: right;
    }

    .person:nth-of-type(odd) {
        text-align: left;
    }

    .person:nth-of-type(odd) .person-text h3 {
        text-align: left;
    }

    .person:nth-of-type(even) {
        flex-direction: row-reverse;
        text-align: right;
    }

    .person:nth-of-type(even) .face {
        margin-left: 40px;
    }

    .boxes {
        grid-template-columns: 45% 45%;
        grid-column-gap: 20px;
        grid-row-gap: 20px;
        width: 100%;
    }

    .social-media {
        height: 70px;
        color: white;
        background-color: #4E4E4E;
    }

    .social-media-flex {
        flex-direction: row;
        justify-content: space-between;
    }

    .social-media p {
        margin-top: 0;
    }

    .icons {
        margin-top: 0;
    }

}



@media screen and (min-width: 1024px) {

    .wrap {
        width: 960px;
        margin: 0 auto;
    }

    /* NAVIGATION */

    .navigation-wrap {
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: 100%;
    }

    .navigation div ul {
        display: flex;
        flex-direction: row;
    }


    /* label,
    input {
        display: none;
    } */


    ul a {
        margin-left: 44px;
        text-decoration: none;
        color: white;
        cursor: pointer;
    }

    .effect::after {
        content: "";
        display: block;
        width: 0;
        height: 2px;
        background: #fff;
        transition: width .3s;
    }

    .effect:hover::after {
        width: 100%;
        transition: width .3s;
    }

    .contact {
        cursor: not-allowed;
    }


    label {
        display: none;
    }

    #toggle {
        display: none;
    }

    /* SECTION LANDING_PAGE */


    .main-wrap {
        display: flex;
        align-items: center;
        height: 100%;

    }

    .main-text {
        width: 70%;
        height: 30%;
    }

    .main-text h1 {
        font-size: 36px;
        font-weight: bold;
    }


    .main-text h2 {
        font-weight: bold;
    }

    button {
        width: 160px;
        height: 40px;
        font-size: 18px;
        color: white;
        border: 3px solid white;
        background: transparent;
        transition: 1s;
        cursor: pointer;
    }

    button:hover {
        background-color: white;
        box-shadow: 5px 5px 15px black;
        color: black;
    }

    .fa-arrow-up {
        display: none;
    }

    /* SECTION ABOUT */

    .person {
        flex-direction: row;
        margin-bottom: 0;
    }


    .person:nth-of-type(odd) .face {
        margin-right: 40px;
    }


    .person:nth-of-type(even) h3 {
        text-align: right;
    }

    .person:nth-of-type(odd) {
        text-align: left;
    }

    .person:nth-of-type(even) {
        flex-direction: row-reverse;
        text-align: right;
    }

    .person:nth-of-type(even) .face {
        margin-left: 40px;
    }


    /* SECTION GALLERY */


    .boxes {
        grid-template-columns: 30% 30% 30%;
        grid-column-gap: 4%;
        grid-row-gap: 5%;
        width: 80%;
    }


    .boxes>div {
        cursor: pointer;
        transition: 1s;
    }


    .boxes>div:hover {
        transform: scale(1.05);
    }

    /* FOOTER */

    .social-media {
        height: 70px;
        color: white;
        background-color: #4E4E4E;
    }

    .social-media-flex {
        flex-direction: row;
        justify-content: space-between;
    }

    .social-media p {
        margin-top: 0;
    }

    .icons {
        margin-top: 0;
    }

    i {
        transition: .3s;
    }

    .fa-instagram:hover {
        color: #dd2a7b;
    }

    .fa-facebook-square:hover {
        color: #3b5998;
    }

}